<?php

namespace Teknisa\CADCTB\Factories;

use Doctrine\ORM\EntityManager;
use Teknisa\Libs\Util\DateUtil;
use Teknisa\Model\Contabilidade\Entities\Contopectbl;
use Teknisa\Model\Geral\Entities\Paramgeral;

class Ger09400ParametroContabilFactory{
    
    protected $entityManager;
    protected $connection;

    public function __construct(EntityManager $entityManager) {
        $this->connection = $entityManager->getConnection();
        $this->entityManager = $entityManager;
    }
    
    private function getCopyEmpresaOrigem($empresaOrigem){
        $empresaDestino = new Contopectbl();
        $empresaDestino->setDtiniclanc($empresaOrigem->getDtiniclanc());
        $empresaDestino->setDtfinalanc($empresaOrigem->getDtfinalanc());
        $empresaDestino->setDtinicrela($empresaOrigem->getDtinicrela());
        $empresaDestino->setDtfinarela($empresaOrigem->getDtfinarela());
        $empresaDestino->setDtiniccont($empresaOrigem->getDtiniccont());
        $empresaDestino->setDtfinacont($empresaOrigem->getDtfinacont());
        $empresaDestino->setIdsaldempr($empresaOrigem->getIdsaldempr());
        $empresaDestino->setIdcontgere($empresaOrigem->getIdcontgere());
        $empresaDestino->setIdcontcome($empresaOrigem->getIdcontcome());
        $empresaDestino->setIdcalcsald($empresaOrigem->getIdcalcsald());
        $empresaDestino->setDtinicctbl($empresaOrigem->getDtinicctbl());
        $empresaDestino->setDtfinacctbl($empresaOrigem->getDtfinacctbl());
        $empresaDestino->setDtultatucocb($empresaOrigem->getDtultatucocb());
        $empresaDestino->setDtiniintcontdfe($empresaOrigem->getDtiniintcontdfe());
        $empresaDestino->setDtfinintcontdfe($empresaOrigem->getDtfinintcontdfe());
        $empresaDestino->setDtiniintcontdfs($empresaOrigem->getDtiniintcontdfs());
        $empresaDestino->setDtfinintcontdfs($empresaOrigem->getDtfinintcontdfs());
        $empresaDestino->setIdutcustestcont($empresaOrigem->getIdutcustestcont());
        $empresaDestino->setIdacumvrcont($empresaOrigem->getIdacumvrcont());
        $empresaDestino->setDtiniintcontgpa($empresaOrigem->getDtiniintcontgpa());
        $empresaDestino->setDtfinintcontgpa($empresaOrigem->getDtfinintcontgpa());
        $empresaDestino->setDtiniintcontfis($empresaOrigem->getDtiniintcontfis());
        $empresaDestino->setDtfinintcontfis($empresaOrigem->getDtfinintcontfis());
        $empresaDestino->setDtiniintcontvext($empresaOrigem->getDtiniintcontvext());
        $empresaDestino->setDtfinintcontvext($empresaOrigem->getDtfinintcontvext());
        $empresaDestino->setNrorg($empresaOrigem->getNrorg());
        $empresaDestino->setDtinclusao($empresaOrigem->getDtinclusao());
        $empresaDestino->setDtultatu($empresaOrigem->getDtultatu());
        $empresaDestino->setNrorginclusao($empresaOrigem->getNrorginclusao());
        $empresaDestino->setCdoperinclusao($empresaOrigem->getCdoperinclusao());
        $empresaDestino->setNrorgultatu($empresaOrigem->getNrorgultatu());
        $empresaDestino->setCdoperultatu($empresaOrigem->getCdoperultatu());
        $empresaDestino->setIdati($empresaOrigem->getIdativo());
        $empresaDestino->setIdutsaldosoc($empresaOrigem->getIdutsaldosoc());
        $empresaDestino->setIdsugrat($empresaOrigem->getIdsugrat());
        $empresaDestino->setIdmsmcontadbcr($empresaOrigem->getIdmsmcontadbcr());
        $empresaDestino->setIdconsvnddfs($empresaOrigem->getIdconsvnddfs());
        $empresaDestino->setIdretestsetor($empresaOrigem->getIdretestsetor());
        return $empresaDestino;
    }
    
    public function cadastramentoAutomaticoEmpresaAlteracaoPeriodos($params){
        try{
            // Query a ser executada.
            $sql = "UPDATE CONTOPECTBL
                       SET DTINICLANC = :DTINICLANC,
                           DTFINALANC = :DTFINALANC,
                           DTINICRELA = :DTINICRELA,
                           DTFINARELA = :DTFINARELA,
                           DTINICCONT = :DTINICCONT,
                           DTFINACONT = :DTFINACONT,
                           DTINICCTBL = :DTINICCTBL,
                           DTFINACCTBL = :DTFINACCTBL,
                           DTINIINTCONTDFE = :DTINIINTCONTDFE,
                           DTFININTCONTDFE = :DTFININTCONTDFE,
                           DTINIINTCONTDFS = :DTINIINTCONTDFS,
                           DTFININTCONTDFS = :DTFININTCONTDFS,
                           DTINIINTCONTGPA = :DTINIINTCONTGPA,
                           DTFININTCONTGPA = :DTFININTCONTGPA,
                           DTINIINTCONTFIS = :DTINIINTCONTFIS,
                           DTFININTCONTFIS = :DTFININTCONTFIS,
                           DTINIINTCONTVEXT = :DTINIINTCONTVEXT,
                           DTFININTCONTVEXT = :DTFININTCONTVEXT
                     WHERE CDEMPRESA = :CDEMPRESA";
    
            // Prepara o statement da query para execução.
            $statement = $this->connection->prepare($sql);
    
            // Executa o statement com os paràmetros passados.
            $statement->execute($params);
        }
        catch (\Exception $e) {
            throw $e;
        }
    }
    
    public function cadastramentoAutomaticoEmpresaAlteracaoControles($params){
        try{
            
            // Query a ser executada.
            $sql = "UPDATE CONTOPECTBL
                       SET IDCONTGERE = :IDCONTGERE,
                           IDCONTCOME = :IDCONTCOME,
                           IDUTCUSTESTCONT = :IDUTCUSTESTCONT,
                           IDSUGRAT = :IDSUGRAT,
                           IDUTSALDOSOC = :IDUTSALDOSOC,
                           IDMSMCONTADBCR = :IDMSMCONTADBCR,
                           IDRETESTSETOR = :IDRETESTSETOR,
                           IDCONSVNDDFS = :IDCONSVNDDFS,
                           IDDESPTRIBDIFAL = :IDDESPTRIBDIFAL,
                           IDCONSDTMOVIRETEST = :IDCONSDTMOVIRETEST,
                           IDCTBSINTETICO = :IDCTBSINTETICO,
                           IDGERESTLANCONT = :IDGERESTLANCONT
                         WHERE CDEMPRESA = :CDEMPRESA";
        
            $statement = $this->connection->prepare($sql);
    
            // Executa o statement com os paràmetros passados.
            $statement->execute($params);
        }
        catch (\Exception $e) {
            throw $e;
        }
    }
    
    public function validateSaldoPositivo($params){
        try{
            // Query a ser executada.
            $sql = "SELECT CDEMPRESA, TO_CHAR(MIN(DTLANCCONT), 'DD/MM/YYYY') DTSEMEVOLUCAO
                      FROM LANCCONT
                     WHERE CDEMPRESA = :CDEMPRESA
                       AND DTLANCCONT < :DTINICIAL
                       AND NVL(IDLANCSALDO, 'N') <> 'S'
                    GROUP BY CDEMPRESA";
    
            // Prepara o statement da query para execução.
            $statement = $this->connection->prepare($sql);
    
            // Executa o statement com os paràmetros passados.
            $statement->execute($params);

            // Executa um fetch em todos os dados, retornando-os.
            return $statement->fetchAll();
        }
        catch (\Exception $e) {
            throw $e;
        }
    }
    
    public function validateLacnamentoPendenteRecalculo($params){
        try{
            // Query a ser executada.
            $sql = "SELECT S.CDEMPRESA, S.MAIORDATA
                    FROM 
                       (SELECT MAX(DTSALDEMPR) MAIORDATA, CDEMPRESA
                          FROM SALDEMPR
                        GROUP BY CDEMPRESA ) S
                    WHERE (S.CDEMPRESA = :CDEMPRESA)";
    
            // Prepara o statement da query para execução.
            $statement = $this->connection->prepare($sql);
    
            // Executa o statement com os paràmetros passados.
            $statement->execute($params);

            // Executa um fetch em todos os dados, retornando-os.
            return $statement->fetchAll();          
        }
        catch (\Exception $e) {
            throw $e;
        }
    }
    
    /*public function getContopectbl($cdempresa, $nrorg){
        $params = [ "cdempresa" => $cdempresa, "nrorg" => $nrorg];
        $contopectbl = $this->entityManager->getRepository(Contopectbl::class)->findOneBy($params);
        return $contopectbl;
    }*/
    
    public function getParamgeral(){
        $parans = array();
        $paramgeral = $this->entityManager->getRepository(Paramgeral::class)->findOneBy($parans);
        return $paramgeral;
    }
    
    public function getContopectbl($rowContopectbl){
        $parans = array(
            'cdempresa' => $rowContopectbl['CDEMPRESA']
        );
        $contopectbl = $this->entityManager->getRepository(Contopectbl::class)->findOneBy($parans);
        return $contopectbl;
    }
    
   /* public function insereContopectbl($rowContopectbl){
        try {
            var_dump($rowContopectbl); die;
            $sql = "INSERT INTO CONTOPECTBL (CDEMPRESA,DTFINACCTBL,DTFINACONT,DTFINALANC,DTFINARELA,DTFININTCONTDFE,DTFININTCONTDFS,DTFININTCONTGPA,DTFININTCONTFIS,DTINICCONT,DTINICCTBL,DTINICLANC,DTINICRELA,DTINIINTCONTDFE,DTINIINTCONTDFS,DTINIINTCONTGPA,DTINIINTCONTFIS,IDCONSDTMOVIRETEST,IDCONSVNDDFS,IDCONTCOME,IDCONTGERE,IDDESPTRIBDIFAL,IDMSMCONTADBCR,IDRETESTSETOR,IDSUGRAT,IDUTCUSTESTCONT,IDUTSALDOSOC,NRORG)
                        VALUES (:CDEMPRESA,
                            :DTFINACCTBL,
                            :DTFINACONT,
                            :DTFINALANC,
                            :DTFINARELA,
                            :DTFININTCONTDFE,
                            :DTFININTCONTDFS,
                            :DTFININTCONTGPA,
                            :DTFININTCONTFIS,
                            :DTINICCONT,
                            :DTINICCTBL,
                            :DTINICLANC,
                            :DTINICRELA,
                            :DTINIINTCONTDFE,
                            :DTINIINTCONTDFS,
                            :DTINIINTCONTGPA,
                            :DTINIINTCONTFIS,
                            :IDCONSDTMOVIRETEST,
                            :IDCONSVNDDFS,
                            :IDCONTCOME,
                            :IDCONTGERE,
                            :IDDESPTRIBDIFAL,
                            :IDMSMCONTADBCR,
                            :IDRETESTSETOR,
                            :IDSUGRAT,
                            :IDUTCUSTESTCONT,
                            :IDUTSALDOSOC,
                            :NRORG)";
            $params = array(
                "CDEMPRESA"=>$rowContopectbl['CDEMPRESA'],
                "DTFINACCTBL"=>$rowContopectbl['DTFINACCTBL'],
                "DTFINACONT"=>$rowContopectbl['DTFINACONT'],
                "DTFINALANC"=>$rowContopectbl['DTFINALANC'],
                "DTFINARELA"=>$rowContopectbl['DTFINARELA'],
                "DTFININTCONTDFE"=>$rowContopectbl['DTFININTCONTDFE'],
                "DTFININTCONTDFS"=>$rowContopectbl['DTFININTCONTDFS'],
                "DTFININTCONTGPA"=>$rowContopectbl['DTFININTCONTGPA'],
                "DTFININTCONTFIS"=>$rowContopectbl['DTFININTCONTFIS'],
                "DTINICCONT"=>$rowContopectbl['DTINICCONT'],
                "DTINICCTBL"=>$rowContopectbl['DTINICCTBL'],
                "DTINICLANC"=>$rowContopectbl['DTINICLANC'],
                "DTINICRELA"=>$rowContopectbl['DTINICRELA'],
                "DTINIINTCONTDFE"=>$rowContopectbl['DTINIINTCONTDFE'],
                "DTINIINTCONTDFS"=>$rowContopectbl['DTINIINTCONTDFS'],
                "DTINIINTCONTGPA"=>$rowContopectbl['DTINIINTCONTGPA'],
                "DTINIINTCONTFIS"=>$rowContopectbl['DTINIINTCONTFIS'],
                "IDCONSDTMOVIRETEST"=>$rowContopectbl['IDCONSDTMOVIRETEST'],
                "IDCONSVNDDFS"=>$rowContopectbl['IDCONSVNDDFS'],
                "IDCONTCOME"=>$rowContopectbl['IDCONTCOME'],
                "IDCONTGERE"=>$rowContopectbl['IDCONTGERE'],
                "IDDESPTRIBDIFAL"=>$rowContopectbl['IDDESPTRIBDIFAL'],
                "IDMSMCONTADBCR"=>$rowContopectbl['IDMSMCONTADBCR'],
                "IDRETESTSETOR"=>$rowContopectbl['IDRETESTSETOR'],
                "IDSUGRAT"=>$rowContopectbl['IDSUGRAT'],
                "IDUTCUSTESTCONT"=>$rowContopectbl['IDUTCUSTESTCONT'],
                "IDUTSALDOSOC"=>$rowContopectbl['IDUTSALDOSOC'],
                "NRORG"=>$rowContopectbl['NRORG']
            );
            $std = $this->connection->prepare($sql);
            $result = $std->execute($params);
            return $result;
        }catch (\Exception $e) {
            throw $e;
        }
    }
    
    public function updateContopectbl($contopectbl, $rowContopectbl){
        try {
            $sql = "UPDATE CONTOPECTBL 
                        SET DTFINACCTBL         = :DTFINACCTBL,
                            DTFINACONT          = :DTFINACONT,
                            DTFINALANC          = :DTFINALANC,
                            DTFINARELA          = :DTFINARELA,
                            DTFININTCONTDFE     = :DTFININTCONTDFE,
                            DTFININTCONTDFS     = :DTFININTCONTDFS,
                            DTFININTCONTGPA     = :DTFININTCONTGPA,
                            DTFININTCONTFIS     = :DTFININTCONTFIS,
                            DTINICCONT          = :DTINICCONT,
                            DTINICCTBL          = :DTINICCTBL,
                            DTINICLANC          = :DTINICLANC,
                            DTINICRELA          = :DTINICRELA,
                            DTINIINTCONTDFE     = :DTINIINTCONTDFE,
                            DTINIINTCONTDFS     = :DTINIINTCONTDFS,
                            DTINIINTCONTGPA     = :DTINIINTCONTGPA,
                            DTINIINTCONTFIS     = :DTINIINTCONTFIS,
                            IDCONSDTMOVIRETEST  = :IDCONSDTMOVIRETEST,
                            IDCONSVNDDFS        = :IDCONSVNDDFS,
                            IDCONTCOME          = :IDCONTCOME,
                            IDCONTGERE          = :IDCONTGERE,
                            IDDESPTRIBDIFAL     = :IDDESPTRIBDIFAL,
                            IDMSMCONTADBCR      = :IDMSMCONTADBCR,
                            IDRETESTSETOR       = :IDRETESTSETOR,
                            IDSUGRAT            = :IDSUGRAT,
                            IDUTCUSTESTCONT     = :IDUTCUSTESTCONT,
                            IDUTSALDOSOC        = :IDUTSALDOSOC,
                        WHERE CDEMPRESA         = :CDEMPRESA AND
                            NRORG               = :NRORG";
            $params = array(
                "CDEMPRESA"=>$contopectbl['CDEMPRESA'],
                "DTFINACCTBL"=>$rowContopectbl['DTFINACCTBL'],
                "DTFINACONT"=>$rowContopectbl['DTFINACONT'],
                "DTFINALANC"=>$rowContopectbl['DTFINALANC'],
                "DTFINARELA"=>$rowContopectbl['DTFINARELA'],
                "DTFININTCONTDFE"=>$rowContopectbl['DTFININTCONTDFE'],
                "DTFININTCONTDFS"=>$rowContopectbl['DTFININTCONTDFS'],
                "DTFININTCONTGPA"=>$rowContopectbl['DTFININTCONTGPA'],
                "DTFININTCONTFIS"=>$rowContopectbl['DTFININTCONTFIS'],
                "DTINICCONT"=>$rowContopectbl['DTINICCONT'],
                "DTINICCTBL"=>$rowContopectbl['DTINICCTBL'],
                "DTINICLANC"=>$rowContopectbl['DTINICLANC'],
                "DTINICRELA"=>$rowContopectbl['DTINICRELA'],
                "DTINIINTCONTDFE"=>$rowContopectbl['DTINIINTCONTDFE'],
                "DTINIINTCONTDFS"=>$rowContopectbl['DTINIINTCONTDFS'],
                "DTINIINTCONTGPA"=>$rowContopectbl['DTINIINTCONTGPA'],
                "DTINIINTCONTFIS"=>$rowContopectbl['DTINIINTCONTFIS'],
                "IDCONSDTMOVIRETEST"=>$rowContopectbl['IDCONSDTMOVIRETEST'],
                "IDCONSVNDDFS"=>$rowContopectbl['IDCONSVNDDFS'],
                "IDCONTCOME"=>$rowContopectbl['IDCONTCOME'],
                "IDCONTGERE"=>$rowContopectbl['IDCONTGERE'],
                "IDDESPTRIBDIFAL"=>$rowContopectbl['IDDESPTRIBDIFAL'],
                "IDMSMCONTADBCR"=>$rowContopectbl['IDMSMCONTADBCR'],
                "IDRETESTSETOR"=>$rowContopectbl['IDRETESTSETOR'],
                "IDSUGRAT"=>$rowContopectbl['IDSUGRAT'],
                "IDUTCUSTESTCONT"=>$rowContopectbl['IDUTCUSTESTCONT'],
                "IDUTSALDOSOC"=>$rowContopectbl['IDUTSALDOSOC'],
                "NRORG"=>$contopectbl['NRORG']
            );
            $std = $this->connection->prepare($sql);
            $result = $std->execute($params);
            return $result;
        }catch (\Exception $e) {
            throw $e;
        }
    }*/
    
     public function insereContopectbl($rowContopectbl){
        $contopectbl = new Contopectbl();
        $contopectbl->setCdempresa($rowContopectbl['CDEMPRESA']);
        $contopectbl->setDtfinacctbl($rowContopectbl['DTFINACCTBL']);
        $contopectbl->setDtfinacont($rowContopectbl['DTFINACONT']);
        $contopectbl->setDtfinalanc($rowContopectbl['DTFINALANC']);
        $contopectbl->setDtfinarela($rowContopectbl['DTFINARELA']);
        $contopectbl->setDtfinintcontdfe($rowContopectbl['DTFININTCONTDFE']);
        $contopectbl->setDtfinintcontdfs($rowContopectbl['DTFININTCONTDFS']);
        $contopectbl->setDtfinintcontgpa($rowContopectbl['DTFININTCONTGPA']);
        $contopectbl->setDtfinintcontfis($rowContopectbl['DTFININTCONTFIS']);
        //$contopectbl->setDtfinintcontvext($rowContopectbl['DTFININTCONTVEXT']);
        $contopectbl->setDtiniccont($rowContopectbl['DTINICCONT']);
        $contopectbl->setDtinicctbl($rowContopectbl['DTINICCTBL']);
        $contopectbl->setDtiniclanc($rowContopectbl['DTINICLANC']);
        $contopectbl->setDtinicrela($rowContopectbl['DTINICRELA']);
        $contopectbl->setDtiniintcontdfe($rowContopectbl['DTINIINTCONTDFE']);
        $contopectbl->setDtiniintcontdfs($rowContopectbl['DTINIINTCONTDFS']);
        $contopectbl->setDtiniintcontgpa($rowContopectbl['DTINIINTCONTGPA']);
        $contopectbl->setDtiniintcontfis($rowContopectbl['DTINIINTCONTFIS']);
      //  $contopectbl->setDtiniintcontvext($rowContopectbl['DTINIINTCONTVEXT']);
        $contopectbl->setIdconsdtmoviretest($rowContopectbl['IDCONSDTMOVIRETEST']);
      //  $contopectbl->setIdctbsintetico($rowContopectbl['IDCTBSINTETICO']);
      //  $contopectbl->setIdgerestlancont($rowContopectbl['IDGERESTLANCONT']);
        $contopectbl->setIdconsvnddfs($rowContopectbl['IDCONSVNDDFS']);
        $contopectbl->setIdcontcome($rowContopectbl['IDCONTCOME']);
        $contopectbl->setIdcontgere($rowContopectbl['IDCONTGERE']);
        $contopectbl->setIddesptribdifal($rowContopectbl['IDDESPTRIBDIFAL']);
        $contopectbl->setIdmsmcontadbcr($rowContopectbl['IDMSMCONTADBCR']);
        $contopectbl->setIdretestsetor($rowContopectbl['IDRETESTSETOR']);
        $contopectbl->setIdsugrat($rowContopectbl['IDSUGRAT']);
        $contopectbl->setIdutcustestcont($rowContopectbl['IDUTCUSTESTCONT']);
        $contopectbl->setIdutsaldosoc($rowContopectbl['IDUTSALDOSOC']);
        $contopectbl->setNrorg($rowContopectbl['NRORG']);
        $contopectbl->setDtinclusao(DateUtil::getDataAtual());
        return $contopectbl;
    }
    
    public function updateContopectbl($contopectbl, $rowContopectbl){
        $contopectbl->setCdempresa($rowContopectbl['CDEMPRESA']);
        $contopectbl->setDtfinacctbl($rowContopectbl['DTFINACCTBL']);
        $contopectbl->setDtfinacont($rowContopectbl['DTFINACONT']);
        $contopectbl->setDtfinalanc($rowContopectbl['DTFINALANC']);
        $contopectbl->setDtfinarela($rowContopectbl['DTFINARELA']);
        $contopectbl->setDtfinintcontdfe($rowContopectbl['DTFININTCONTDFE']);
        $contopectbl->setDtfinintcontdfs($rowContopectbl['DTFININTCONTDFS']);
        $contopectbl->setDtfinintcontgpa($rowContopectbl['DTFININTCONTGPA']);
        $contopectbl->setDtfinintcontfis($rowContopectbl['DTFININTCONTFIS']);
    //    $contopectbl->setDtfinintcontvext($rowContopectbl['DTFININTCONTVEXT']);
        $contopectbl->setDtiniccont($rowContopectbl['DTINICCONT']);
        $contopectbl->setDtinicctbl($rowContopectbl['DTINICCTBL']);
        $contopectbl->setDtiniclanc($rowContopectbl['DTINICLANC']);
        $contopectbl->setDtinicrela($rowContopectbl['DTINICRELA']);
        $contopectbl->setDtiniintcontdfe($rowContopectbl['DTINIINTCONTDFE']);
        $contopectbl->setDtiniintcontdfs($rowContopectbl['DTINIINTCONTDFS']);
        $contopectbl->setDtiniintcontgpa($rowContopectbl['DTINIINTCONTGPA']);
        $contopectbl->setDtiniintcontfis($rowContopectbl['DTINIINTCONTFIS']);
      //  $contopectbl->setDtiniintcontvext($rowContopectbl['DTINIINTCONTVEXT']);
        $contopectbl->setIdconsdtmoviretest($rowContopectbl['IDCONSDTMOVIRETEST']);
      //  $contopectbl->setIdctbsintetico($rowContopectbl['IDCTBSINTETICO']);
      //  $contopectbl->setIdgerestlancont($rowContopectbl['IDGERESTLANCONT']);
        $contopectbl->setIdconsvnddfs($rowContopectbl['IDCONSVNDDFS']);
        $contopectbl->setIdcontcome($rowContopectbl['IDCONTCOME']);
        $contopectbl->setIdcontgere($rowContopectbl['IDCONTGERE']);
        $contopectbl->setIddesptribdifal($rowContopectbl['IDDESPTRIBDIFAL']);
        $contopectbl->setIdmsmcontadbcr($rowContopectbl['IDMSMCONTADBCR']);
        $contopectbl->setIdretestsetor($rowContopectbl['IDRETESTSETOR']);
        $contopectbl->setIdsugrat($rowContopectbl['IDSUGRAT']);
        $contopectbl->setIdutcustestcont($rowContopectbl['IDUTCUSTESTCONT']);
        $contopectbl->setIdutsaldosoc($rowContopectbl['IDUTSALDOSOC']);
        $contopectbl->setNrorg($rowContopectbl['NRORG']);
        $contopectbl->setDtinclusao(DateUtil::getDataAtual());
        return $contopectbl;
    }
    
    public function updateParamgeral($params){
        try{
            
            // Query a ser executada.
            $sql = "UPDATE PARAMGERAL
                       SET IDCONTAJUDTCOMP = :IDCONTAJUDTCOMP
                    WHERE NRORG = :NRORG";
        
            $statement = $this->connection->prepare($sql);
    
            // Executa o statement com os paràmetros passados.
            $statement->execute($params);
        }
        catch (\Exception $e) {
            throw $e;
        }
    }
    
}